# Uses of Interface
org.eclipse.emf.cdo.common.model.CDOPackageUnit

Packages that use CDOPackageUnit
Package
Description
org.eclipse.emf.cdo.common.commit
Common concepts for dealing with commits and change sets.
org.eclipse.emf.cdo.common.model
Common concepts for dealing with models and types.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.server.spi.security
Server provider interfaces (SPI) for the server integration of the `Security` model.
org.eclipse.emf.cdo.spi.common.commit
Common service provider interfaces and useful base implementations for dealing with commits and change sets.
org.eclipse.emf.cdo.spi.common.model
Common service provider interfaces and useful base implementations for dealing with models and types
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOPackageUnit in org.eclipse.emf.cdo.common.commit

Methods in org.eclipse.emf.cdo.common.commit that return types with arguments of type CDOPackageUnit
Modifier and Type
Method
Description
`List<CDOPackageUnit>`
CDOCommitData.`getNewPackageUnits()`

## Uses of CDOPackageUnit in org.eclipse.emf.cdo.common.model

Methods in org.eclipse.emf.cdo.common.model that return CDOPackageUnit
Modifier and Type
Method
Description
`static CDOPackageUnit`
CDOModelUtil.`copyPackageUnit(CDOPackageUnit packageUnit)`
`static CDOPackageUnit`
CDOModelUtil.`createPackageUnit()`
`CDOPackageUnit`
CDOPackageInfo.`getPackageUnit()`
Returns the package unit containing this package info.
`CDOPackageUnit`
CDOPackageRegistry.`getPackageUnit(String id)`
`CDOPackageUnit`
CDOPackageRegistry.`getPackageUnit(EPackage ePackage)`
`CDOPackageUnit[]`
CDOPackageRegistry.`getPackageUnits()`
Returns all package units that are registered in this package registry.
`CDOPackageUnit[]`
CDOPackageRegistry.`getPackageUnits(long startTime, long endTime)`
Methods in org.eclipse.emf.cdo.common.model with parameters of type CDOPackageUnit
Modifier and Type
Method
Description
`static CDOPackageUnit`
CDOModelUtil.`copyPackageUnit(CDOPackageUnit packageUnit)`

## Uses of CDOPackageUnit in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOPackageUnit
Modifier and Type
Method
Description
`CDOPackageUnit`
CDODataInput.`readCDOPackageUnit(ResourceSet resourceSet)`
`CDOPackageUnit[]`
CDODataInput.`readCDOPackageUnits(ResourceSet resourceSet)`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDOPackageUnit
Modifier and Type
Method
Description
`void`
CDODataOutput.`writeCDOPackageUnit(CDOPackageUnit packageUnit, boolean withPackages)`
`void`
CDODataOutput.`writeCDOPackageUnits(CDOPackageUnit... packageUnit)`

## Uses of CDOPackageUnit in org.eclipse.emf.cdo.server.spi.security

Methods in org.eclipse.emf.cdo.server.spi.security with parameters of type CDOPackageUnit
Modifier and Type
Method
Description
`protected void`
AnnotationHandler.`handlePackageUnits(InternalSecurityManager securityManager, CDOPackageUnit[] packageUnits)`

## Uses of CDOPackageUnit in org.eclipse.emf.cdo.spi.common.commit

Method parameters in org.eclipse.emf.cdo.spi.common.commit with type arguments of type CDOPackageUnit
Modifier and Type
Method
Description
`static CDOCommitData`
CDOCommitInfoUtil.`createCommitData(List<CDOPackageUnit> newPackageUnits, List<CDOIDAndVersion> newObjects, List<CDORevisionKey> changedObjects, List<CDOIDAndVersion> detachedObjects)`

## Uses of CDOPackageUnit in org.eclipse.emf.cdo.spi.common.model

Subinterfaces of CDOPackageUnit in org.eclipse.emf.cdo.spi.common.model
Modifier and Type
Interface
Description
`interface`
`InternalCDOPackageUnit`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.cdo.spi.common.model with parameters of type CDOPackageUnit
Modifier and Type
Method
Description
`EPackage[]`
InternalCDOPackageRegistry.PackageLoader.`loadPackages(CDOPackageUnit packageUnit)`

## Uses of CDOPackageUnit in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOPackageUnit
Modifier and Type
Method
Description
`CDOPackageUnit`
CDODataInputImpl.`readCDOPackageUnit(ResourceSet resourceSet)`
`CDOPackageUnit[]`
CDODataInputImpl.`readCDOPackageUnits(ResourceSet resourceSet)`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDOPackageUnit
Modifier and Type
Method
Description
`void`
CDODataOutputImpl.`writeCDOPackageUnit(CDOPackageUnit packageUnit, boolean withPackages)`
`void`
CDODataOutputImpl.`writeCDOPackageUnits(CDOPackageUnit... packageUnits)`

## Uses of CDOPackageUnit in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return types with arguments of type CDOPackageUnit
Modifier and Type
Method
Description
`List<CDOPackageUnit>`
CDOCommitContext.`getNewPackageUnits()`
Returns a list of the new `package units` that are to be committed with this commit context.

## Uses of CDOPackageUnit in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return types with arguments of type CDOPackageUnit
Modifier and Type
Method
Description
`List<CDOPackageUnit>`
CDOSessionProtocol.RefreshSessionResult.`getPackageUnits()`
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOPackageUnit
Modifier and Type
Method
Description
`void`
CDOSessionProtocol.RefreshSessionResult.`addPackageUnit(CDOPackageUnit packageUnit)`